﻿[CmdletBinding()]
Param (
    [Parameter(Mandatory=$true)]
    [string]$deploymentname="",
    [Parameter(Mandatory=$true)]
    [string]$rgname="",
    [Parameter(Mandatory=$true)]
    [string]$storageaccount="",
    [Parameter(Mandatory=$true)]
    [string]$key="",
    [Parameter(Mandatory=$true)]
    [string]$containertoremove=""
)


#remove everything
$resid = (Get-AzureRmResourceGroupDeploymentOperation -DeploymentName $DeploymentName -ResourceGroupName $RGName).Properties.TargetResource.id
$count = 0
do{
$resid | %{
if ($resid[$count] -like "*storage*") {
#removes a drive
$context = New-AzureStorageContext -StorageAccountName $storageaccount -StorageAccountKey $key
$containers = Get-AzureStorageContainer -Context $context | ? {$_.name -eq $containertoremove}
$containers | %{Remove-AzureStorageContainer -Name $_.Name -Context $context -Force}
write-host "removed storage $count"
}
else {
Remove-AzureRmResource -ResourceId $resid[$count] -force -ErrorAction Continue
write-host "removed resource $count"
}
$count ++
}
}
while ($resid[$count] -eq "")



